Loading...
Accounts APINamed accounts

Create named account order

POST
/orders/named-accounts

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

Idempotency-Key*string

It helps preventing duplicates in your POST requests. It is recommend using a UUID for the key, however you may use any other unique identifier you choose.

X-Volt-Api-Version*integer

Version of the API used. Currently, version 1 is the only version.

X-Volt-Testing-Scenario?string

[SANDBOX ONLY] used to trigger specific transaction failure or verification mocks.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to create a named account from an approved onboarding.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/orders/named-accounts" \  -H "Idempotency-Key: 85136c79cbf9fe36bb9d05d0639c70c265c18d37" \  -H "X-Volt-Api-Version: 1" \  -H "Content-Type: application/json" \  -d '{    "onboardingEntityId": "a1b2c3d4-5678-90ab-cdef-1234567890ab",    "currency": "EUR",    "communication": {      "notifications": {        "url": "https://mywebsite.com/webhooks"      }    }  }'
{
  "id": "order-5678-90ab-cdef-1234567890ab"
}